#include <iostream>

using namespace std;

int main(){

    int a,b,x,y;
    cin>>a>>b;
    cin>>x>>y;

    if(a-x==0&&b-y!=0){
        cout<<"drugi";

    }else if(b-y==0&&a-x!=0){
        cout<<"prvi";

    }else if(a-x==0&&b-y==0){
        cout<<"nijedan";

    }else{
        cout<<"?";

    }
return 0;

  }